Description

Cuando deshacemos "Mover arriba la seleccion”, los elementos siguen seleccionados supuestamente en la tabla, porque pone "X
seleccionados del total" abajo, pero no se ve ninguno en amarillo.

When we disable "Move up selection”, the elements continue selected theoretically because at the bottom it indicates "X selected
elements from the total", but any element is in yellow colour.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 4928: error en la gestio... Closed 07/27/2018

Associated revisions

Revision 44977 - 04/26/2020 09:26 PM - Joaquin del Cerro Murciano
refs #5039, Modificada la gestion del DelayAction en el FeatureTableModel y en el FeaturePagingHelperlmpl eliminada la copia de la seleccion que

mantenia. Al librerarla se iba todo por los aires por que a veces libreraba la seleccion del store. Ahora trabaja directamente con la seleccion del store y

no tiene que encargarse de liberar la copia.

History

#1 - 03/12/2019 01:50 PM - Oscar Martinez
- Status changed from New to Fixed

En la RC lo he replicado y estaba fallando. También fallaba al limpiar seleccion y actualizar la tabla.

He estado probando en la versién en desarrollo y parece que esta todo ya solucionado.

#2 - 03/12/2019 06:23 PM - Oscar Martinez
- Status changed from Fixed to New

Lo dejo abierto. Es posible dejar rayada la seleccion, no se exactamente el order o si solo influye la rapidez con lo que lo hagas, pero es posible que
se no se actualice la tabla y aparezcan seleccionados, que el botén de limpiar seleccion aparezca desactivado aunque haya una seleccién, etc.
#3 - 03/04/2020 11:48 AM - Alvaro Anguix
- Target version set to 2.5.1-3044

En el build 3010 sigue ocurriendo.
Anado otro dato: al pulsar el botén de "deshacer seleccion arriba" no sélo no se ven en la tabla (aunque en la barra de estado ponga que estan
seleccionados x elementos) sino que el botén de limpiar seleccionados se deshabilita, por lo que aparentemente los ha deseleccionado aunque en la

barra de estado marque una seleccién.

#4 - 03/04/2020 11:51 AM - Alvaro Anguix
- Related to gvSIG bugs #4928: error en la gestion de inputs durante la edicion de una tabla / error during table text input management added

#5 - 03/26/2020 01:10 PM - Alvaro Anguix
- gvSIG build changed from 2913 to 3013

- File sel.mp4 added

- File cv.zip added

Parece que en el 3013 funciona mas o menos bien con capas pequefas, pero en una un poco grande como la de municipios de la CV da error. Ahado
la capa y un pequefio video.

En el video con una capa pequefa parece ir bien.

Con la capa grande el funcionamiento no es bueno. A veces quedan cosas en amarillo y no hay nada seleccionado, con lo de subir elementos arriba
al seleccionar nuevos no lo hace y hay que volver a pulsar un botén que esté activo, etc.

Adjunto también capa de prueba

#6 - 03/26/2020 01:11 PM - Alvaro Anguix

Lo de no subirse elementos seleccionados nuevo arriba con el boton activado tampoco funciona con capas pequenas (en el video se ve)
#7 - 04/26/2020 09:11 PM - Joaquin del Cerro Murciano

- Target version changed from 2.5.1-3044 to 2.5.1-3020

#8 - 04/26/2020 09:27 PM - Joaquin del Cerro Murciano

- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#9 - 04/30/2020 04:51 PM - Alvaro Anguix
- Status changed from Fixed to Closed

Files
cv.zip 1.82 MB 03/26/2020 Alvaro Anguix
sel.mp4 6.41 MB 03/26/2020 Alvaro Anguix
